# NLP Bigram & Trigram Phrase Frequency Analyzer (`text-ngram-analyzer`)
- **Status**: 200 OK | **Latency**: 1ms | **Cached**: false
- **Primary Authority**: 100% Platform Deterministic Compute / Reference Engine
- **License & Trust**: 100% Platform Local Compute (computed_by_platform)
- **Verified At (UTC)**: 2026-10-27T20:07:42.345Z
- **Data Freshness**: live
## Structured Data
```json
{
  "word_count": 12,
  "top_bigrams": [
    {
      "phrase": "machine learning",
      "count": 2
    },
    {
      "phrase": "learning models",
      "count": 1
    },
    {
      "phrase": "models and",
      "count": 1
    },
    {
      "phrase": "and machine",
      "count": 1
    },
    {
      "phrase": "learning pipelines",
      "count": 1
    },
    {
      "phrase": "pipelines power",
      "count": 1
    },
    {
      "phrase": "power modern",
      "count": 1
    },
    {
      "phrase": "modern artificial",
      "count": 1
    }
  ]
}
```
> **AI Agent Hint**: Agent Data Hub: ask anything via GET /api/v1/ask?q=..., whole tasks via /api/v1/bundles, up to 10 calls via POST /api/v1/batch. Add compact=1 or fields=a,b to save tokens. Docs: /llms.txt